;; veriml.el - Proof General for VeriML.

(require 'proof-easy-config)
(require 'proof-syntax)

(proof-easy-config 'veriml "VeriML"

 proof-prog-name		     "/home/antonis/work/flint/papers/veriml/veriml-hol/verimlnew --fast"  ;; or your program
 proof-terminal-string                 ";;"        ;; end of commands
 proof-script-comment-start          "(*"	;; comments
 proof-script-comment-end            "*)"	;; comments
 proof-shell-annotated-prompt-regexp "# " ;; matches prompts

 proof-shell-strip-crs-from-input nil
 proof-shell-interrupt-regexp        "^.*Exception:\\|^.*failure\\|^.*Error:\\|^.*Failure:\\|^.*Camlp4:"
 proof-shell-restart                 "fullreset ;;"

 ;; next setting is just to prevent warning
 proof-save-command-regexp	proof-no-regexp
 )

(provide 'veriml)
